Retrieve an external iterator

- « DOMNodeList::count

- DOMNodeList::item »

- PHP Manual
- DOMNodeList
- Retrieve an external iterator

# DOMNodeList::getIterator

(PHP 8)

DOMNodeList::getIterator — Retrieve an external iterator

### Description

public DOMNodeList::getIterator(): Iterator

Returns an external iterator for the node list.

### Parameters

This function has no parameters.

### Return Values

An instance of an object implementing Iterator or Traversable

### Errors/Exceptions

Throws an Exception on failure.

### See Also

- IteratorAggregate::getIterator() - Retrieve an external iterator or traversable